tabs:
  main:
    display: Main
    sections:
      -
        fields:
          -
            handle: follow_text
            field:
              type: text
              display: 'Follow text'
              localizable: true
              validate:
                - required
              default: 'Follow us:'
      -
        display: 'Social media accounts'
        fields:
          -
            handle: facebook
            field:
              type: group
              display: Facebook
              localizable: true
              fields:
                -
                  handle: has_account
                  field:
                    type: toggle
                    display: 'Has account'
                    localizable: false
                    width: 25
                -
                  handle: account_link
                  field:
                    input_type: url
                    type: text
                    display: 'Account link'
                    localizable: false
                    width: 75
                    validate:
                      - sometimes
                      - required
                    if:
                      has_account: 'equals true'
          -
            handle: whatsapp
            field:
              type: group
              display: Whatsapp
              localizable: true
              fields:
                -
                  handle: has_account
                  field:
                    type: toggle
                    display: 'Has account'
                    localizable: false
                    width: 25
                -
                  handle: account_link
                  field:
                    input_type: url
                    type: text
                    display: 'Account link'
                    localizable: false
                    width: 75
                    validate:
                      - sometimes
                      - required
                    if:
                      has_account: 'equals true'
          -
            handle: telegram
            field:
              type: group
              display: Telegram
              localizable: true
              fields:
                -
                  handle: has_account
                  field:
                    type: toggle
                    display: 'Has account'
                    localizable: false
                    width: 25
                -
                  handle: account_link
                  field:
                    input_type: url
                    type: text
                    display: 'Account link'
                    localizable: false
                    width: 75
                    validate:
                      - sometimes
                      - required
                    if:
                      has_account: 'equals true'
          -
            handle: x
            field:
              type: group
              display: X
              localizable: true
              fields:
                -
                  handle: has_account
                  field:
                    type: toggle
                    display: 'Has account'
                    localizable: false
                    width: 25
                -
                  handle: account_link
                  field:
                    input_type: url
                    type: text
                    display: 'Account link'
                    localizable: false
                    width: 75
                    validate:
                      - sometimes
                      - required
                    if:
                      has_account: 'equals true'
          -
            handle: messenger
            field:
              type: group
              display: Messenger
              localizable: true
              fields:
                -
                  handle: has_account
                  field:
                    type: toggle
                    display: 'Has account'
                    localizable: false
                    width: 25
                -
                  handle: account_link
                  field:
                    input_type: url
                    type: text
                    display: 'Account link'
                    localizable: false
                    width: 75
                    validate:
                      - sometimes
                      - required
                    if:
                      has_account: 'equals true'
          -
            handle: instagram
            field:
              type: group
              display: Instagram
              localizable: true
              fields:
                -
                  handle: has_account
                  field:
                    type: toggle
                    display: 'Has account'
                    localizable: false
                    width: 25
                -
                  handle: account_link
                  field:
                    input_type: url
                    type: text
                    display: 'Account link'
                    localizable: false
                    width: 75
                    validate:
                      - sometimes
                      - required
                    if:
                      has_account: 'equals true'
          -
            handle: youtube
            field:
              type: group
              display: Youtube
              localizable: true
              fields:
                -
                  handle: has_account
                  field:
                    type: toggle
                    display: 'Has account'
                    localizable: false
                    width: 25
                -
                  handle: account_link
                  field:
                    input_type: url
                    type: text
                    display: 'Account link'
                    localizable: false
                    width: 75
                    validate:
                      - sometimes
                      - required
                    if:
                      has_account: 'equals true'
          -
            handle: linkedin
            field:
              type: group
              display: LinkedIn
              localizable: true
              fields:
                -
                  handle: has_account
                  field:
                    type: toggle
                    display: 'Has account'
                    localizable: false
                    width: 25
                -
                  handle: account_link
                  field:
                    input_type: url
                    type: text
                    display: 'Account link'
                    localizable: false
                    width: 75
                    validate:
                      - sometimes
                      - required
                    if:
                      has_account: 'equals true'
